#!/usr/bin/python
#-*- coding: utf-8 -*-

#
# Date      : 2011/09/01
# Author    : Hiroyasu OHYAMA 
# Belonged  : Ariel-Network Inc. (http://www.ariel-networks.com)
#							OSSS Lab. (http://www.osss.cs.tsukuba.ac.jp)
# 
# copyright(c) 2011 Hiroyasu OHYAMA. all right reserved.
#

class Operation:
	_OPERATION_PASS = "pass"
	_OPERATION_DROP = "drop"
	_OPERATION_CHANGE = "change"

	def __init__(self, operation):
		if not self.__validation_check(operation):
			operation = None

		self.operation = operation

	def get_operation(self):
		return self.operation

	@classmethod
	def	__validation_check(cls, input):
		ret = False

		for operation in [cls._OPERATION_PASS, cls._OPERATION_DROP, cls._OPERATION_CHANGE]:
			if input == operation:
				ret = True

		return ret
